/*************************************************************
EDGE-1.0 is an individual-based, spatially explicit simulation
model for analysing demographic and landscape effects on
population dynamics.

Copyright (C) 2005  Lutz Tischendorf

This program is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
*************************************************************/

#ifndef __GIF_H
#define __GIF_H
 
#include "gifsave.h"
#include "defs.h"

class Landscape;

/**
	Gifsaver is a wrapper class for a gif saving algorithm - see
	gifsave.h and gifsave.cpp. Gifsaver provides a convinient
	interface to the model.
*/

class Gifsaver
{
	GIF_Colors lsc;			//Colors for the landscape
	Landscape* landscape;
	
public:
	Gifsaver(Landscape* _landscape);
	~Gifsaver();
	
	int save_landscape(char* filename);

private:
	static int landscape_colors(int x, int y);
	void set_landscape_colors(); 
	void set_grid_colors();
	void del_lsccolors();
    void del_grccolors();
	void error(int n) const;
};

#endif