/*************************************************************
EDGE-1.0 is an individual-based, spatially explicit simulation
model for analysing demographic and landscape effects on
population dynamics.

Copyright (C) 2005  Lutz Tischendorf

This program is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
*************************************************************/

#ifndef GIFSAVE_H
#define GIFSAVE_H



enum GIF_Code {
		GIF_OK,
		GIF_ERRCREATE,
		GIF_ERRWRITE,
		GIF_OUTMEM
};



int  GIF_Create(
         char *filename,
         int width, int height,
         int numcolors, int colorres
     );

void GIF_SetColor(
         int colornum,
         int red, int green, int blue
     );

int  GIF_CompressImage(
         int left, int top,
         int width, int height,
         int (*getpixel)(int x, int y)
     );

int  GIF_Close(void);

/*----------------------- Michaels Funktionen: -----------------------*/

/*GIF_HUGE: fuer Felder groesser als 64k in borlandc, damit bytearr2giffile
            auch far und huge pointer verarbeiten kann.
            Funktioniert aber nicht. Brauch man bei gnuc nicht ! */

//#ifdef __MSDOS__
//#ifndef __GNUC__
//#define GIF_HUGE
//#endif
//#endif
void GIF_exit(int fehler);//Schreibt den Namen des Fehlers an stdout und exits
struct GIF_Colors
  {                      //Ptr auf arrays, red[i]=x, mit
  int *red,*green,*blue; //  0<i<numcolors,  0<x< (1<<colorres)
  int numcolors;         //Zahl der Farben
  int colorres;          //Zahl der Toene jeder Teilfarbe in Bits
  };                     //z.B.: colorres=2 => 4 Toene pro Teilfarbe moeglich

/* bytearr2giffile speichert den angegebenen array als gif auf file.
   Die bytes werden als unsigned char ausgewertet und muessen den mit
   GIF_Colors uebergebenen Farben entsprechen. Ist z.B. numcolors=16, so
   duerfen die bytes nur Werte zwischen 0 und 15 annehmen. */

#ifdef GIF_HUGE
void bytearr2giffile(char* fn, unsigned char huge* arr,int x,int y,GIF_Colors* gifc);
#else
void bytearr2giffile(char* fn, unsigned char* arr,int x,int y,GIF_Colors* gifc);
#endif

#endif
