/*************************************************************
EDGE-1.0 is an individual-based, spatially explicit simulation
model for analysing demographic and landscape effects on
population dynamics.

Copyright (C) 2005  Lutz Tischendorf

This program is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
*************************************************************/

#ifndef __IBUSEPMEXCEPTION_H
#define __IBUSEPMEXCEPTION_H

#include <exception>

#if !defined (STLPORT) || defined(_STLP_USE_NAMESPACES)
using namespace std;
#endif

/**
	IbusepmException is a customised exception for this program.
*/

class IbusepmException : public exception 
{
private:
    const char* message;		//message of this exception

public:
	IbusepmException();
	IbusepmException(const char* _m1, const char* _m2="", const char* _m3="", const char* _m4="");
	~IbusepmException();

	const char* what() const	{ return message; }
};

#endif 