/*************************************************************
EDGE-1.0 is an individual-based, spatially explicit simulation
model for analysing demographic and landscape effects on
population dynamics.

Copyright (C) 2005  Lutz Tischendorf

This program is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
*************************************************************/

#ifndef __PATCHISOVAR_CPP
#define __PATCHISOVAR_CPP

#include "patchisovar.h"
#include "logging.h"

PatchIsoVar::PatchIsoVar()
{
	name = NULL;
	refval = 0;
	val = 0;
}

PatchIsoVar::PatchIsoVar(char* _name, int _refval, float _value)
{
	name = _name;
	refval = _refval;
	val = _value;
}

PatchIsoVar::~PatchIsoVar()
{
	delete name;
}

void PatchIsoVar::reset()
{	
	refval = 0;
	val = 0;
}

#endif