/*************************************************************
EDGE-1.0 is an individual-based, spatially explicit simulation
model for analysing demographic and landscape effects on
population dynamics.

Copyright (C) 2005  Lutz Tischendorf

This program is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
*************************************************************/

#ifndef __PATCHISOVAR_H
#define __PATCHISOVAR_H

#include "defs.h"

/**
	A PatchIsoVar object holds information about a Patch Isolation
	variable, which may be calculated in the landscape object.
*/

class PatchIsoVar 
{

private:
	char* name;				//name of the patch isolation metric
	int   refval;			//reference (number of nearest neighbours or size of buffer
	float val;				//actual value of the patch isolation metric
	
public:

	PatchIsoVar();
	PatchIsoVar(char* _name, int _refval, float _value);
	~PatchIsoVar();  
	void reset();
	
	void setName(char* _name)					{ name = _name; };
	char* getName() const						{ return name; };

	void setRefval(int _refval)					{ refval = _refval; };
	int getRefval() const						{ return refval; };

	void setVal(float _val)						{ val = _val; };
	float getVal() const						{ return val; };
};

#endif